#
# spec file for package perl-Business-ISMN
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Business-ISMN
Version:        1.131
Release:        lp151.2.1
%define cpan_name Business-ISMN
Summary:        Work with International Standard Music Numbers
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Business-ISMN/
Source0:        http://www.cpan.org/authors/id/B/BD/BDFOY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.95
BuildRequires:  perl(Tie::Cycle) >= 1.21
Requires:       perl(Tie::Cycle) >= 1.21
%{perl_requires}

%description
work with International Standard Music Numbers

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples ismns.txt LICENSE

%changelog
* Tue Dec  6 2016 coolo@suse.com
- updated to 1.131
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.13
  see /usr/share/doc/packages/perl-Business-ISMN/Changes
* Fri Jun 28 2013 coolo@suse.com
- initial package 1.11
  * created by cpanspec 1.78.06
